[FFmpeg-devel] AVX assembly for ffmpeg

Daniel Kang daniel.d.kang
Tue Feb 15 21:17:18 CET 2011

2011/2/15 M?ns Rullg?rd <mans at mansr.com>

> Daniel Kang <daniel.d.kang at gmail.com> writes:
> > I have been asked to write AVX assembly for ffmpeg. This will require
> > porting x264's x86inc.asm file with the AVX abstraction layer. Ideally, I
> > would like to bump the yasm version, as it is already checked for pextrd
> > (SSE4). However, is this is not permissible, I can see if the AVX compile
> > flag can be set conditionally, based on the yasm version.
> How recent a yasm version is required, and how hard is it to make it
> conditional?
yasm 0.7.0 is required. I have no experience with make files, so I am unsure
how hard it would be to make it conditional. As 0.7.0 was released in 2008
[1], I believe it is reasonable to bump the version.

[1] http://www.tortall.net/projects/yasm/wiki/Download

More information about the ffmpeg-devel mailing list